﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WjwLib.API.Communication;

namespace GatewayTool.Models
{
    /// <summary>
    /// 网关基类
    /// </summary>
    public class GatewayBase
    {
        /// <summary>
        /// 通讯实例
        /// </summary>
        public ICommunication Communication;

        /// <summary>
        /// 设备嗅探信息
        /// </summary>
        public SniffDeviceInfo SniffInfo { get; set; }

        /// <summary>
        /// 设备图片
        /// </summary>
        public Image DeviceImage { get; set; } = Resource.dtu;

        /// <summary>
        /// 固件升级信息
        /// </summary>
        public UpgradeInfo UpgradeInfo { get; set; }
    }
}